Summary:	A simple serial device I/O tool
Name:		tio
Version:	2.3
Release:	1
License:	GPL v2+
Group:		Applications/Communications
Source0:	https://github.com/tio/tio/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	bfb5cf76a94f759889328c32ffbade34
URL:		https://github.com/tio/tio
BuildRequires:	inih-devel
BuildRequires:	linux-libc-headers >= 7:2.6.20
BuildRequires:	meson >= 0.53.2
BuildRequires:	ninja
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tio is a simple serial device tool which features a straightforward
command-line and configuration file interface to easily connect to
serial TTY devices for basic I/O operations.

%package -n bash-completion-tio
Summary:	bash-completion for tio
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-tio
bash-completion for tio.

%prep
%setup -q

%build
%meson build \
	-Dbashcompletiondir=%{bash_compdir}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md TODO
%attr(755,root,root) %{_bindir}/tio
%{_mandir}/man1/tio.1*

%files -n bash-completion-tio
%defattr(644,root,root,755)
%{bash_compdir}/tio
%changelog
* Wed Nov 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tio.git;a=log;h=master

* Wed Nov 09 2022 Jan Palus <atler@pld-linux.org> 3278ae1
- up to 2.3

* Sun Jul 24 2022 Jan Palus <atler@pld-linux.org> 739c67a
- up to 1.47

* Thu Jul 21 2022 Jan Palus <atler@pld-linux.org> 6493850
- up to 1.46

* Thu Jul 21 2022 Jan Palus <atler@pld-linux.org> e68adb2
- adapterized

* Thu Jul 21 2022 Jan Palus <atler@pld-linux.org> f2204d0
- macros for %ninja*

* Thu Jul 21 2022 Jan Palus <atler@pld-linux.org> b81b57d
- updated deps

* Wed Jul 13 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 882a89b
- Initial.

